---
lang: en
title: 'API docs: boot.repositorybooter'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.boot.repositorybooter.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/boot](./boot.md) &gt; [RepositoryBooter](./boot.repositorybooter.md)

## RepositoryBooter class

A class that extends BaseArtifactBooter to boot the 'Repository' artifact type. Discovered repositories are bound using `app.repository()` which must be added to an Application using the `RepositoryMixin` from `@loopback/repository`<!-- -->.

Supported phases: configure, discover, load

<b>Signature:</b>

```typescript
export declare class RepositoryBooter extends BaseArtifactBooter 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(app, projectRoot, repositoryOptions)](./boot.repositorybooter.(constructor).md) |  | Constructs a new instance of the <code>RepositoryBooter</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [app](./boot.repositorybooter.app.md) |  | <code>ApplicationWithRepositories</code> |  |
|  [repositoryOptions](./boot.repositorybooter.repositoryoptions.md) |  | <code>ArtifactOptions</code> |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [load()](./boot.repositorybooter.load.md) |  | Uses super method to get a list of Artifact classes. Boot each class by binding it to the application using <code>app.repository(repository);</code> if present. |


